diff -Naur gdb-292-old/src/gdb/doc/stabs.texinfo gdb-292/src/gdb/doc/stabs.texinfo
--- gdb-292-old/src/gdb/doc/stabs.texinfo	Sun Mar  4 10:26:53 2007
+++ gdb-292/src/gdb/doc/stabs.texinfo	Sun Mar  4 12:37:22 2007
@@ -3284,7 +3284,7 @@
 Variable in @code{.rodata} section; see @ref{Statics}.
 
 @item 0x2e N_BNSYM
-Start of a relocatble symbolblock; see @ref{Relocatable Symbol Blocks}.
+Start of a relocatble symbolblock; see Relocatable Symbol Blocks.
 
 @item 0x30     N_PC
 Global symbol (for Pascal); see @ref{N_PC}.
@@ -3329,7 +3329,7 @@
 Function start/body/end line numbers (Solaris2).
 
 @item 0x4e N_ENSYM
-End of a relocatble symbol block; see @ref{Relocatable Symbol Blocks}.
+End of a relocatble symbol block; see Relocatable Symbol Blocks.
 
 @item 0x50     N_EHDECL
 GNU C++ exception variable; see @ref{N_EHDECL}.
diff -Naur gdb-292-old/src/gdb/fix-and-continue.c gdb-292/src/gdb/fix-and-continue.c
--- gdb-292-old/src/gdb/fix-and-continue.c	Sun Mar  4 10:26:53 2007
+++ gdb-292/src/gdb/fix-and-continue.c	Sun Mar  4 11:23:32 2007
@@ -24,13 +24,14 @@
    Boston, MA 02111-1307, USA.  */
 
 #include <string.h>
-#include <mach-o/dyld.h>
+/*#include <mach-o/dyld.h>*/
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <sys/param.h>
 #include <stdlib.h>
 #include <stdint.h>
 
+#include "mach-defs.h"
 #include "defs.h"
 #include "value.h"
 #include "gdbtypes.h"
@@ -576,6 +577,11 @@
 
   for (fo = cur->fixed_object_files; fo != NULL; fo = fo->next)
     {
+      int i, j;
+      struct symbol *sym;
+      struct symtab *st;
+      struct partial_symtab *pst;
+
       if (fo->objfile == NULL)
         {
           warning ("fixed object file entry for '%s' has a NULL objfile ptr!  "
@@ -593,11 +599,6 @@
       ALL_OBJFILE_MSYMBOLS (fo->objfile, msym)
         MSYMBOL_OBSOLETED (msym) = 1;
 
-      int i, j;
-      struct symbol *sym;
-      struct symtab *st;
-      struct partial_symtab *pst;
-
       ALL_OBJFILE_SYMTABS_INCL_OBSOLETED (fo->objfile, st)
         {
           if (st->primary == 1)
@@ -1688,10 +1689,11 @@
 
   ALL_OBJFILE_SYMTABS_INCL_OBSOLETED (newobj, newsymtab)
     {
+      int i;
+
       if (newsymtab->primary != 1)
         continue;
 
-      int i;
       newblock = BLOCKVECTOR_BLOCK (BLOCKVECTOR (newsymtab), GLOBAL_BLOCK);
       ALL_BLOCK_SYMBOLS (newblock, i, sym)
         {
@@ -1758,10 +1760,11 @@
 
   ALL_OBJFILE_SYMTABS_INCL_OBSOLETED (newobj, newsymtab)
     {
+      int i;
+
       if (newsymtab->primary != 1)
         continue;
 
-      int i;
       newblock = BLOCKVECTOR_BLOCK (BLOCKVECTOR (newsymtab), STATIC_BLOCK);
       ALL_BLOCK_SYMBOLS (newblock, i, sym)
         {
diff -Naur gdb-292-old/src/gdb/mach-defs.h gdb-292/src/gdb/mach-defs.h
--- gdb-292-old/src/gdb/mach-defs.h	Thu Jan  1 01:00:00 1970
+++ gdb-292/src/gdb/mach-defs.h	Sun Mar  4 15:17:42 2007
@@ -0,0 +1,71 @@
+/* Mach definitions needed in macosx-nat-dyld.h, provided here so that building
+ * apple gdb on non-Darwin platforms doesn't require a full set of Darwin
+ * headers */
+#include <stdint.h>
+
+typedef unsigned int port_t, task_t, thread_t, mach_msg_type_number_t;
+typedef int kern_return_t;
+
+#define KERN_SUCCESS			0
+#define KERN_INVALID_ADDRESS		1
+
+typedef unsigned int vm_offset_t, vm_size_t, vm_address_t;
+
+struct vm_region_basic_info {
+	int			protection;
+	int			max_protection;
+	unsigned		inheritance;
+	int			shared;
+	int			reserved;
+	vm_offset_t		offset;
+	int			behavior;
+	unsigned short		user_wired_count;
+};
+typedef struct vm_region_basic_info		*vm_region_basic_info_t;
+typedef struct vm_region_basic_info		 vm_region_basic_info_data_t;
+#define VM_REGION_BASIC_INFO	10
+#define VM_REGION_BASIC_INFO_COUNT \
+	    (sizeof(vm_region_basic_info_data_t)/sizeof(int))
+
+enum dyld_debug_return {
+    DYLD_SUCCESS,
+    DYLD_INCONSISTENT_DATA,
+    DYLD_INVALID_ARGUMENTS,
+    DYLD_FAILURE
+};
+
+enum dyld_event_type {
+    DYLD_IMAGE_ADDED,
+    DYLD_MODULE_BOUND,
+    DYLD_MODULE_REMOVED,
+    DYLD_MODULE_REPLACED,
+    DYLD_PAST_EVENTS_END,
+    DYLD_IMAGE_REMOVED
+};
+
+typedef struct {
+    unsigned	msgh_bits;
+    unsigned	msgh_size;
+    port_t	msgh_remote_port;
+    port_t	msgh_local_port;
+    unsigned	msgh_reserved;
+    int		msgh_id;
+} mach_msg_header_t;
+
+typedef enum {
+    NSObjectFileImageFailure,
+    NSObjectFileImageSuccess,
+    NSObjectFileImageInappropriateFile,
+    NSObjectFileImageArch,
+    NSObjectFileImageFormat,
+    NSObjectFileImageAccess
+} NSObjectFileImageReturnCode;
+
+typedef void * NSObjectFileImage;
+
+#define NSLINKMODULE_OPTION_NONE		0x0
+#define NSLINKMODULE_OPTION_BINDNOW		0x1
+#define NSLINKMODULE_OPTION_PRIVATE		0x2
+#define NSLINKMODULE_OPTION_RETURN_ON_ERROR	0x4
+#define NSLINKMODULE_OPTION_DONT_CALL_MOD_INIT_ROUTINES 0x8
+#define NSLINKMODULE_OPTION_TRAILING_PHYS_NAME	0x10
diff -Naur gdb-292-old/src/gdb/macosx/macosx-nat-dyld.h gdb-292/src/gdb/macosx/macosx-nat-dyld.h
--- gdb-292-old/src/gdb/macosx/macosx-nat-dyld.h	Sun Mar  4 10:26:53 2007
+++ gdb-292/src/gdb/macosx/macosx-nat-dyld.h	Sun Mar  4 12:27:25 2007
@@ -1,11 +1,12 @@
 #ifndef __GDB_MACOSX_NAT_DYLD_H__
 #define __GDB_MACOSX_NAT_DYLD_H__
 
+#include "mach-defs.h"
+
 #include "defs.h"
 #include "macosx-nat-mutils.h"
 #include "macosx-nat-threads.h"
 
-#include <mach-o/dyld_debug.h>
 
 struct objfile;
 struct target_waitstatus;
diff -Naur gdb-292-old/src/gdb/mi/mi-cmd-stack.c gdb-292/src/gdb/mi/mi-cmd-stack.c
--- gdb-292-old/src/gdb/mi/mi-cmd-stack.c	Sun Mar  4 10:26:53 2007
+++ gdb-292/src/gdb/mi/mi-cmd-stack.c	Sun Mar  4 13:38:27 2007
@@ -182,7 +182,7 @@
 	if (strcmp (argv[0], "-limit") != 0)
 	  error ("mi_cmd_stack_list_frames_lite: Invalid option.");
 	
-	if (! isnumber (argv[1][0]))
+	if (! isdigit (argv[1][0]))
 	  error ("mi_cmd_stack_list_frames_lite: Invalid argument to -limit.");
 
 	limit = atoi (argv[1]);
